* VERSION 01 SAS DATA DEFINITION FILE ;
* NES DATASET NUMBER 1948.T;
* ;
*                     AMERICAN NATIONAL ELECTION STUDIES             ;
*                               1948 PRE-POST                        ;
*                        ICPSR ARCHIVE STUDY NUMBER 7218             ;
* ;
*                             67  variables                          ;
*                             662 respondents                        ;
* ;
*      DATA NOTE:                                                    ;
*       - Pre-only cases (33) were dropped for release.              ;
*       - 84 cases post-only (V480009 codes 2,4 and [probably] 9).   ;
*         The post-only interviews were apparently with respondents  ;
*         who were selected but noninterview cases in the pre.       ;
*   ; 
PROC FORMAT;
VALUE V3FMT
     1 ="1. METROPOLITAN AREA"
     2 ="2. TOWN OR CITY"
     3 ="3. OPEN COUNTRY"
     ;
VALUE V4FMT
     1 ="1. NAME NOT KNOWN"
     2 ="2. NAME NOT KNOWN"
     3 ="3. NAME NOT KNOWN"
     4 ="4. NAME NOT KNOWN"
     5 ="5. NAME NOT KNOWN"
     ;
VALUE V5FMT
     1 ="1. ONE CALL"
     2 ="2. TWO CALLS"
     3 ="3. THREE CALLS"
     4 ="4. FOUR CALLS"
     5 ="5. FIVE CALLS"
     6 ="6. SIX CALLS"
     7 ="7. SEVEN CALLS"
     8 ="8. EIGHT CALLS"
     9 ="9. DK"
     0 ="0. NA"
     ;
VALUE V6FMT
     1 ="1. YES"
     2 ="2. NO"
     9 ="9. NA"
     ;
VALUE V7FMT
     1 ="1. YES"
     2 ="2. NO"
     9 ="9. NA"
     ;
VALUE V8FMT
     1 ="1. PREVIOUS RESPONDENT INTERVIEWED"
     2 ="2. NOT AT HOME"
     3 ="3. REFUSED"
     4 ="4. MOVED FROM THIS ADDRESS"
     5 ="5. OTHER REASONS"
     9 ="9. NA"
     ;
VALUE V9FMT
     1 ="1. INTERVIEWED IN BOTH PRE AND POST"
     2 ="2. INTERVIEWED IN POST BUT NOT PRE"
     3 ="3. PARTIALLY INTERVIEWED IN POST, INTERVI"
     4 ="4. PARTIALLY INTERVIEWED IN POST, NOT INT"
     9 ="9. NA"
     ;
VALUE V10FMT
     1 ="1. DEFINITELY SHOULD BE KEPT ON OR SHOULD"
     2 ="2. SHOULD BE KEPT WITH RESTRICTIONS, OR R"
     3 ="3. NEUTRAL, OR PRO-CON"
     4 ="4. SHOULD BE DROPPED"
     8 ="8. DK"
     9 ="9. NA"
     ;
VALUE V11FMT
     1 ="1. SHOULD BE RE-INSTITUTED ON ALL OR MANY"
     2 ="2. SHOULD BE RE-INSTITUTED ON ONE OR A FE"
     3 ="3. NEUTRAL OR PRO-CON"
     4 ="4. SHOULD BE RE-INSTITUTED ONLY IF PRESEN"
     5 ="5. PRICE CONTROL SHOULD BE KEPT OFF"
     8 ="8. DK"
     9 ="9. NA"
     ;
VALUE V12FMT
     0 ="0. HAVE NOT HEARD ABOUT TAFT-HARTLEY ACT"
     1 ="1. SHOULD BE LEFT ALONE"
     2 ="2. SHOULD BE MODIFIED IN FAVOR OF MANAGEM"
     3 ="3. SHOULD BE MODIFIED IN FAVOR OF LABOR"
     4 ="4. SHOULD BE REPEALED"
     5 ="5. HAVE HEARD OF TAFT-HARTLEY ACT"
     6 ="6. HAVE HEARD OF TAFT-HARTLEY ACT"
     7 ="7. SHOULD BE CHANGED, NA HOW"
     8 ="8. DON'T KNOW WHETHER HEARD ABOUT TAFT-HA"
     9 ="9. NA WHETHER HEARD ABOUT TAFT-HARTLEY AC"
     ;
VALUE V13FMT
     10 ="10. SURPRISED -- THOUGHT PEOPLE WANTED CHA"
     11 ="11. SURPRISED -- EXPERTS, RADIO, PAPERS SA"
     12 ="12. SURPRISED -- DEWEY A BETTER MAN"
     13 ="13. SURPRISED -- TRUMAN RECORD BAD"
     14 ="14. SURPRISED -- OTHER, MISCELLANEOUS"
     15 ="15. SURPRISED -- DON'T KNOW WHY"
     19 ="19. SURPRISED -- NA WHY"
     20 ="20. EXPECTED -- PEOPLE WANTED SAME ADMINIS"
     21 ="21. EXPECTED -- SKEPTICAL OF RADIO, NEWSPA"
     22 ="22. EXPECTED -- REPUBLICANS OVER-CONFIDENT"
     23 ="23. EXPECTED -- TRUMAN'S CAMPAIGN MORE EFF"
     24 ="24. EXPECTED -- TRUMAN A BETTER MAN OR BET"
     25 ="25. EXPECTED -- PEOPLE OPPOSED TO 80TH CON"
     26 ="26. EXPECTED -- PEOPLE VOTED IN ROOSEVELT"
     27 ="27. EXPECTED -- LABOR, NEGRO, GOVERNMENT E"
     28 ="28. EXPECTED -- DK WHY"
     29 ="29. EXPECTED -- NA WHY"
     30 ="30. EXPECTED -- OTHER"
     88 ="88. IGNORES POLITICS"
     98 ="98. DON'T KNOW WHETHER SURPRISED"
     99 ="99. NA WHETHER SURPRISED"
     ;
VALUE V14FMT
     10 ="10. BETTER MAN"
     20 ="20. EXPERIENCED, GOOD RECORD"
     30 ="30. TRUMAN PRO-LABOR, NEGRO, WORKING MAN"
     40 ="40. GOOD CAMPAIGN CONDUCTED BY TRUMAN"
     50 ="50. DEMOCRATS MEAN PROSPERITY, REPUBLICANS"
     60 ="60. TRUMAN PRO RENT CONTROL, PRICE CONTROL,"
     70 ="70. ROOSEVELT TRADITION"
     80 ="80. PERSONAL ATTRIBUTES"
     90 ="90. OTHER"
     91 ="91. NO SECOND REASON"
     98 ="98. DK"
     99 ="99. NA"
     ;
VALUE V15FMT
     10 ="10. SMALL MAN, INADEQUATE BACKGROUND"
     20 ="20. CAN'T HANDLE SUBORDINATES, OR PICKED BA"
     30 ="30. CAN'T GET THINGS DONE"
     40 ="40. PARTIAL TO LABOR, NEGRO, WORKING MAN, G"
     50 ="50. CAN'T GET ALONG WITH CONGRESS"
     60 ="60. CIVIL RIGHTS PROGRAM"
     70 ="70. NOTHING SPECIAL ABOUT TRUMAN MADE PEOPL"
     80 ="80. PERSONAL ATTRIBUTES"
     90 ="90. OTHER REASONS"
     91 ="91. NO SECOND REASON"
     98 ="98. DK"
     99 ="99. NA"
     ;
VALUE V16FMT
     10 ="10. BETTER MAN"
     20 ="20. EXPERIENCED"
     30 ="30. DEWEY PRO BUSINESS, WEALTHY, TRUMAN PRO"
     40 ="40. GOOD CAMPAIGN CONDUCTED BY DEWEY"
     50 ="50. REPUBLICANS BRING PROSPERITY, GOOD FOR"
     60 ="60. DEWEY PRO-80TH CONGRESS, TAFT-HARTLEY A"
     70 ="70. DEMOCRATS IN OFFICE TOO LONG"
     80 ="80. PERSONAL ATTRIBUTES"
     90 ="90. OTHER REASONS"
     91 ="91. NO SECOND REASON"
     98 ="98. DK"
     99 ="99. NA"
     ;
VALUE V17FMT
     10 ="10. INEXPERIENCED"
     20 ="20. COLD PERSONALITY, INHUMAN, SUPERIOR, AP"
     30 ="30. PARTIAL TO BUSINESS, WALL STREET PRESID"
     40 ="40. OVER-CONFIDENT"
     50 ="50. CONDUCTED POOR CAMPAIGN, NON-COMMITAL O"
     60 ="60. DEWEY PRO-80TH CONGRESS"
     70 ="70. NOTHING SPECIAL ABOUT DEWEY MADE PEOPLE"
     80 ="80. PERSONAL ATTRIBUTES"
     90 ="90. OTHER REASONS"
     91 ="91. NO SECOND REASON"
     98 ="98. DK"
     99 ="99. NA"
     ;
VALUE V18FMT
     1 ="1. VOTED - FOR TRUMAN"
     2 ="2. VOTED - FOR DEWEY"
     3 ="3. VOTED - FOR WALLACE"
     4 ="4. VOTED - FOR OTHER"
     5 ="5. VOTED - NA FOR WHOM"
     6 ="6. DID NOT VOTE"
     9 ="9. NA WHETHER VOTED"
     ;
VALUE V19FMT
     1 ="1. KNEW ALL ALONG"
     2 ="2. DECIDED AT TIME OF CONVENTION"
     3 ="3. DECIDED AFTER CONVENTION, DURING CAMPA"
     4 ="4. DECIDED WITHIN TWO WEEKS OF ELECTION"
     5 ="5. DECIDED ON ELECTION DAY"
     8 ="8. DON'T KNOW WHEN DECIDED"
     9 ="9. NA"
     0 ="0. NOT APPLICABLE"
     ;
VALUE V20FMT
     11 ="11. DID NOT CONSIDER ANYONE ELSE"
     12 ="12. CONSIDERED DEWEY"
     13 ="13. CONSIDERED WALLACE"
     14 ="14. CONSIDERED OTHER"
     19 ="19. NA"
     21 ="21. CONSIDERED TRUMAN"
     22 ="22. DID NOT CONSIDER ANYONE ELSE"
     23 ="23. CONSIDERED WALLACE"
     24 ="24. CONSIDERED OTHER"
     29 ="29. NA"
     33 ="33. DID NOT CONSIDER ANYONE ELSE"
     41 ="41. CONSIDERED TRUMAN"
     44 ="44. DID NOT CONSIDER ANYONE ELSE"
     49 ="49. NA"
     91 ="91. INAP"
     ;
VALUE V21FMT
     1 ="1. DISLIKED PERSONAL CHARACTERISTICS OF C"
     2 ="2. DID NOT THINK CANDIDATE HAD A CHANCE O"
     3 ="3. DISAGREED WITH PLATFORM OR POLICY - TO"
     4 ="4. DISAGREED WITH PLATFORM OR POLICY - TO"
     5 ="5. TAUTOLOGICAL - DIDN'T VOTE FOR CANDIDA"
     6 ="6. EFFECT OF CAMPAIGN CHANGED VOTE"
     7 ="7. OTHER REASONS"
     8 ="8. DK WHY DECIDED NOT TO VOTE FOR HIM"
     9 ="9. NA"
     0 ="0. NOT APPLICABLE"
     ;
VALUE V22FMT
     10 ="10. LIKED PERSONAL CHARACTERISTICS OF CANDI"
     20 ="20. THOUGHT HE WOULD BE ELECTED"
     30 ="30. DOMESTIC PLATFORM AND ISSUES"
     40 ="40. FOREIGN POLICY"
     50 ="50. EFFECT OF CAMPAIGN"
     60 ="60. UNDERDOG IDEA - NEWSPAPERS, RADIO, SAID"
     70 ="70. PARTY ALLEGIANCE - ALWAYS VOTE FOR SAME"
     80 ="80. TAUTOLOGICAL - VOTED FOR BEST MAN"
     90 ="90. OTHER REASON"
     91 ="91. INAP"
     98 ="98. DK WHAT CAUSED DECISION"
     99 ="99. NA"
     ;
VALUE V23FMT
     1 ="1. TRUMAN - STRAIGHT"
     2 ="2. TRUMAN - SPLIT"
     3 ="3. DEWEY - STRAIGHT"
     4 ="4. DEWEY - SPLIT"
     5 ="5. WALLACE - STRAIGHT"
     6 ="6. OTHER - STRAIGHT"
     7 ="7. OTHER - SPLIT"
     8 ="8. DK"
     9 ="9. NA"
     0 ="0. INAP"
     ;
VALUE V24FMT
     1 ="1. TRUMAN"
     2 ="2. DEWEY"
     3 ="3. WALLACE"
     7 ="7. OTHER"
     8 ="8. DK"
     9 ="9. NA"
     0 ="0. INAP"
     ;
VALUE V25FMT
     10 ="10. ILLNESS, SELF OR FAMILY"
     20 ="20. WEATHER"
     30 ="30. CROWDED POLLS"
     40 ="40. DIDN'T THINK PREFERRED CANDIDATE HAD A"
     50 ="50. DIDN'T CARE WHO WON"
     60 ="60. GENERAL LETHARGY"
     70 ="70. OVER-CONFIDENCE"
     80 ="80. NOT REGISTERED"
     90 ="90. OTHER REASONS"
     91 ="91. INAP"
     98 ="98. DK"
     99 ="99. NA"
     ;
VALUE V26FMT
     1 ="1. YES"
     2 ="2. NO"
     8 ="8. DK"
     9 ="9. NA"
     0 ="0. INAP"
     ;
VALUE V27FMT
     1 ="1. VOTED PREVIOUSLY -- DEMOCRATIC"
     2 ="2. VOTED PREVIOUSLY -- REPUBLICAN"
     3 ="3. VOTED PREVIOUSLY -- OTHER"
     4 ="4. VOTED PREVIOUSLY -- MORE THAN ONE PART"
     5 ="5. VOTED PREVIOUSLY -- NA HOW"
     6 ="6. HAVE NEVER VOTED PREVIOUS PRESIDENTIAL"
     8 ="8. DK WHETHER VOTED PREVIOUSLY"
     9 ="9. NA WHETHER VOTED PREVIOUSLY"
     ;
VALUE V28FMT
     1 ="1. VOTED IN 1944 - ROOSEVELT"
     2 ="2. VOTED IN 1944 - DEWEY"
     3 ="3. VOTED IN 1944 - OTHER"
     4 ="4. VOTED IN 1944 - NA FOR WHOM"
     5 ="5. DID NOT VOTE IN 1944"
     8 ="8. DON'T KNOW WHETHER VOTED IN 1944, OR '"
     9 ="9. NA WHETHER VOTED IN 1944"
     ;
VALUE V29FMT
     10 ="10. PROFESSIONAL, SEMI-PROFESSIONAL"
     20 ="20. SELF-EMPLOYED, MANAGERIAL, SUPERVISORY"
     30 ="30. OTHER WHITE-COLLAR (CLERICAL, SALES, ET"
     40 ="40. SKILLED AND SEMI-SKILLED"
     60 ="60. PROTECTIVE SERVICE"
     70 ="70. UNSKILLED, INCLUDING FARM AND SERVICE W"
     80 ="80. FARM OPERATORS AND MANAGERS"
     92 ="92. STUDENT"
     94 ="94. UNEMPLOYED"
     95 ="95. RETIRED, TOO OLD OR UNABLE TO WORK"
     96 ="96. HOUSEWIFE"
     99 ="99. NA"
     ;
VALUE V30FMT
     1 ="1. YES"
     2 ="2. NO"
     8 ="8. DK"
     9 ="9. NA"
     ;
VALUE V31FMT
     10 ="10. COMMON MAN, LITTLE PEOPLE"
     11 ="11. ORGANIZED LABOR, UNIONS"
     12 ="12. FARMER"
     13 ="13. GOVERNMENT WORKER"
     14 ="14. BUSINESS, BIG MONEY, UPPER CLASSES, WAL"
     15 ="15. NEGROES"
     16 ="16. JEWS"
     17 ="17. MACHINE POLITICIANS"
     18 ="18. SOUTH"
     19 ="19. LIBERALS"
     20 ="20. CONSERVATIVES"
     00 ="00. NO GROUP, OR NO SECOND, THIRD GROUP"
     ;
VALUE V32FMT
     10 ="10. COMMON MAN, LITTLE PEOPLE"
     11 ="11. ORGANIZED LABOR, UNIONS"
     12 ="12. FARMER"
     13 ="13. GOVERNMENT WORKER"
     14 ="14. BUSINESS, BIG MONEY, UPPER CLASSES, WAL"
     15 ="15. NEGROES"
     16 ="16. JEWS"
     17 ="17. MACHINE POLITICIANS"
     18 ="18. SOUTH"
     19 ="19. LIBERALS"
     20 ="20. CONSERVATIVES"
     00 ="00. NO GROUP"
     ;
VALUE V33FMT
     00 ="00. NO ISSUE"
     01 ="01. RENT CONTROL"
     02 ="02. PRICE CONTROL"
     03 ="03. TAFT-HARTLEY"
     04 ="04. FARM PRICES AND SUPPORT"
     05 ="05. LOWER INCOME TAX"
     06 ="06. CIVIL RIGHTS"
     07 ="07. BALANCE BUDGET"
     08 ="08. (GOVERNMENT) HOUSING"
     09 ="09. DEFENSE ACTIVITY"
     10 ="10. GOVERNMENT ATOMIC CONTROL"
     11 ="11. NEW DEAL"
     12 ="12. MARSHALL PLAN"
     13 ="13. FIRM RUSSIAN POLICY"
     14 ="14. HELP ISRAEL (PALESTINE)"
     15 ="15. PROMOTE PEACE"
     16 ="16. RENT CONTROL"
     17 ="17. PRICE CONTROL"
     18 ="18. TAFT-HARTLEY"
     19 ="19. FARM PRICES AND SUPPORT"
     20 ="20. LOWER INCOME TAX"
     21 ="21. CIVIL RIGHTS"
     22 ="22. BALANCE BUDGET"
     23 ="23. (GOVERNMENT) HOUSING"
     24 ="24. DEFENSE ACTIVITY"
     25 ="25. GOVERNMENT ATOMIC CONTROL"
     26 ="26. NEW DEAL"
     27 ="27. MARSHALL PLAN"
     28 ="28. FIRM RUSSIAN POLICY"
     29 ="29. HELP ISRAEL (PALESTINE)"
     30 ="30. PROMOTE PEACE"
     31 ="31. RENT CONTROL"
     32 ="32. PRICE CONTROL"
     33 ="33. TAFT-HARTLEY"
     34 ="34. FARM PRICES AND SUPPORT"
     35 ="35. LOWER INCOME TAX"
     36 ="36. CIVIL RIGHTS"
     37 ="37. BALANCE BUDGET"
     38 ="38. (GOVERNMENT) HOUSING"
     39 ="39. DEFENSE ACTIVITY"
     40 ="40. GOVERNMENT ATOMIC CONTROL"
     41 ="41. NEW DEAL"
     42 ="42. MARSHALL PLAN"
     43 ="43. FIRM RUSSIAN POLICY"
     44 ="44. HELP ISRAEL (PALESTINE)"
     45 ="45. PROMOTE PEACE"
     51 ="51. RENT CONTROL"
     52 ="52. PRICE CONTROL"
     53 ="53. TAFT-HARTLEY"
     54 ="54. FARM PRICES AND SUPPORT"
     55 ="55. LOWER INCOME TAX"
     56 ="56. CIVIL RIGHTS"
     57 ="57. BALANCE BUDGET"
     58 ="58. (GOVERNMENT) HOUSING"
     59 ="59. DEFENSE ACTIVITY"
     60 ="60. GOVERNMENT ATOMIC CONTROL"
     61 ="61. NEW DEAL"
     62 ="62. MARSHALL PLAN"
     63 ="63. FIRM RUSSIAN POLICY"
     64 ="64. HELP ISRAEL (PALESTINE)"
     65 ="65. PROMOTE PEACE"
     66 ="66. RENT CONTROL"
     67 ="67. PRICE CONTROL"
     68 ="68. TAFT-HARTLEY"
     69 ="69. FARM PRICES AND SUPPORT"
     70 ="70. LOWER INCOME TAX"
     71 ="71. CIVIL RIGHTS"
     72 ="72. BALANCE BUDGET"
     73 ="73. (GOVERNMENT) HOUSING"
     74 ="74. DEFENSE ACTIVITY"
     75 ="75. GOVERNMENT ATOMIC CONTROL"
     76 ="76. NEW DEAL"
     77 ="77. MARSHALL PLAN"
     78 ="78. FIRM RUSSIAN POLICY"
     79 ="79. HELP ISRAEL (PALESTINE)"
     80 ="80. PROMOTE PEACE"
     81 ="81. RENT CONTROL"
     82 ="82. PRICE CONTROL"
     83 ="83. TAFT-HARTLEY"
     84 ="84. FARM PRICES AND SUPPORT"
     85 ="85. LOWER INCOME TAX"
     86 ="86. CIVIL RIGHTS"
     87 ="87. BALANCE BUDGET"
     88 ="88. (GOVERNMENT) HOUSING"
     89 ="89. DEFENSE ACTIVITY"
     90 ="90. GOVERNMENT ATOMIC CONTROL"
     91 ="91. NEW DEAL"
     92 ="92. MARSHALL PLAN"
     93 ="93. FIRM RUSSIAN POLICY"
     94 ="94. HELP ISRAEL (PALESTINE)"
     95 ="95. PROMOTE PEACE"
     ;
VALUE V34FMT
     00 ="00. NO ISSUE"
     01 ="01. RENT CONTROL"
     02 ="02. PRICE CONTROL"
     03 ="03. TAFT-HARTLEY"
     04 ="04. FARM PRICES AND SUPPORT"
     05 ="05. LOWER INCOME TAX"
     06 ="06. CIVIL RIGHTS"
     07 ="07. BALANCE BUDGET"
     08 ="08. (GOVERNMENT) HOUSING"
     09 ="09. DEFENSE ACTIVITY"
     10 ="10. GOVERNMENT ATOMIC CONTROL"
     11 ="11. NEW DEAL"
     12 ="12. MARSHALL PLAN"
     13 ="13. FIRM RUSSIAN POLICY"
     14 ="14. HELP ISRAEL (PALESTINE)"
     15 ="15. PROMOTE PEACE"
     16 ="16. RENT CONTROL"
     17 ="17. PRICE CONTROL"
     18 ="18. TAFT-HARTLEY"
     19 ="19. FARM PRICES AND SUPPORT"
     20 ="20. LOWER INCOME TAX"
     21 ="21. CIVIL RIGHTS"
     22 ="22. BALANCE BUDGET"
     23 ="23. (GOVERNMENT) HOUSING"
     24 ="24. DEFENSE ACTIVITY"
     25 ="25. GOVERNMENT ATOMIC CONTROL"
     26 ="26. NEW DEAL"
     27 ="27. MARSHALL PLAN"
     28 ="28. FIRM RUSSIAN POLICY"
     29 ="29. HELP ISRAEL (PALESTINE)"
     30 ="30. PROMOTE PEACE"
     31 ="31. RENT CONTROL"
     32 ="32. PRICE CONTROL"
     33 ="33. TAFT-HARTLEY"
     34 ="34. FARM PRICES AND SUPPORT"
     35 ="35. LOWER INCOME TAX"
     36 ="36. CIVIL RIGHTS"
     37 ="37. BALANCE BUDGET"
     38 ="38. (GOVERNMENT) HOUSING"
     39 ="39. DEFENSE ACTIVITY"
     40 ="40. GOVERNMENT ATOMIC CONTROL"
     41 ="41. NEW DEAL"
     42 ="42. MARSHALL PLAN"
     43 ="43. FIRM RUSSIAN POLICY"
     44 ="44. HELP ISRAEL (PALESTINE)"
     45 ="45. PROMOTE PEACE"
     51 ="51. RENT CONTROL"
     52 ="52. PRICE CONTROL"
     53 ="53. TAFT-HARTLEY"
     54 ="54. FARM PRICES AND SUPPORT"
     55 ="55. LOWER INCOME TAX"
     56 ="56. CIVIL RIGHTS"
     57 ="57. BALANCE BUDGET"
     58 ="58. (GOVERNMENT) HOUSING"
     59 ="59. DEFENSE ACTIVITY"
     60 ="60. GOVERNMENT ATOMIC CONTROL"
     61 ="61. NEW DEAL"
     62 ="62. MARSHALL PLAN"
     63 ="63. FIRM RUSSIAN POLICY"
     64 ="64. HELP ISRAEL (PALESTINE)"
     65 ="65. PROMOTE PEACE"
     66 ="66. RENT CONTROL"
     67 ="67. PRICE CONTROL"
     68 ="68. TAFT-HARTLEY"
     69 ="69. FARM PRICES AND SUPPORT"
     70 ="70. LOWER INCOME TAX"
     71 ="71. CIVIL RIGHTS"
     72 ="72. BALANCE BUDGET"
     73 ="73. (GOVERNMENT) HOUSING"
     74 ="74. DEFENSE ACTIVITY"
     75 ="75. GOVERNMENT ATOMIC CONTROL"
     76 ="76. NEW DEAL"
     77 ="77. MARSHALL PLAN"
     78 ="78. FIRM RUSSIAN POLICY"
     79 ="79. HELP ISRAEL (PALESTINE)"
     80 ="80. PROMOTE PEACE"
     81 ="81. RENT CONTROL"
     82 ="82. PRICE CONTROL"
     83 ="83. TAFT-HARTLEY"
     84 ="84. FARM PRICES AND SUPPORT"
     85 ="85. LOWER INCOME TAX"
     86 ="86. CIVIL RIGHTS"
     87 ="87. BALANCE BUDGET"
     88 ="88. (GOVERNMENT) HOUSING"
     89 ="89. DEFENSE ACTIVITY"
     90 ="90. GOVERNMENT ATOMIC CONTROL"
     91 ="91. NEW DEAL"
     92 ="92. MARSHALL PLAN"
     93 ="93. FIRM RUSSIAN POLICY"
     94 ="94. HELP ISRAEL (PALESTINE)"
     95 ="95. PROMOTE PEACE"
     ;
VALUE V35FMT
     11 ="11. HONEST, SINCERE, FAIR"
     12 ="12. EXPERIENCED, CAPABLE, COMPETENT, INTELL"
     13 ="13. FEARLESS, SPUNKY, FIGHTING, AGGRESSIVE"
     14 ="14. DOWN-TO-EARTH, COMMON TOUCH, UNDERSTAND"
     21 ="21. SHORT-TEMPERED, HOT-HEAD, SHOVES PEOPLE"
     22 ="22. SMALL, INCOMPETENT, INEFFICIENT"
     23 ="23. INDECISIVE, VACILLATING, DOESN'T KNOW H"
     24 ="24. FOPPISH, OVER-DRESSED, APPEARANCE ANTAG"
     25 ="25. SMUG, COMPLACENT, OVER-CONFIDENT, PATRO"
     26 ="26. INSINCERE, DECEPTIVE, TWO-FACED"
     27 ="27. NON-COMMITTAL, BACKS AWAY FROM ISSUES,"
     00 ="00. NO ATTRIBUTE MENTIONED"
     ;
VALUE V36FMT
     11 ="11. HONEST, SINCERE, FAIR"
     12 ="12. EXPERIENCED, CAPABLE, COMPETENT, INTELL"
     13 ="13. FEARLESS, SPUNKY, FIGHTING, AGGRESSIVE"
     14 ="14. DOWN-TO-EARTH, COMMON TOUCH, UNDERSTAND"
     21 ="21. SHORT-TEMPERED, HOT-HEAD, SHOVES PEOPLE"
     22 ="22. SMALL, INCOMPETENT, INEFFICIENT"
     23 ="23. INDECISIVE, VACILLATING, DOESN'T KNOW H"
     24 ="24. FOPPISH, OVER-DRESSED, APPEARANCE ANTAG"
     25 ="25. SMUG, COMPLACENT, OVER-CONFIDENT, PATRO"
     26 ="26. INSINCERE, DECEPTIVE, TWO-FACED"
     27 ="27. NON-COMMITTAL, BACKS AWAY FROM ISSUES,"
     00 ="00. NO ATTRIBUTE MENTIONED"
     ;
VALUE V37FMT
     1 ="1. DEWEY - TRAIN ENGINEER"
     2 ="2. DEWEY - 3 SYLLABLE WORDS"
     3 ="3. DEWEY - DEBATE WITH STASSEN"
     4 ="4. DEWEY - PRESS CONFERENCE"
     5 ="5. TRUMAN - VINSON-PRO"
     6 ="6. TRUMAN - VINSON-CON"
     0 ="0. NO INCIDENT MENTIONED"
     ;
VALUE V38FMT
     1 ="1. ALMOST CERTAIN TO VOTE"
     2 ="2. UNCERTAIN"
     3 ="3. WON'T OR CAN'T VOTE"
     8 ="8. DON'T KNOW"
     9 ="9. NA"
     ;
VALUE V39FMT
     1 ="1. DEMOCRATIC"
     2 ="2. PROGRESSIVE"
     3 ="3. REPUBLICAN"
     4 ="4. DIXIECRAT (STATES' RIGHTS)"
     5 ="5. OTHER"
     8 ="8. DK"
     9 ="9. NA"
     0 ="0. INAP"
     ;
VALUE V40FMT
     1 ="1. AGREE"
     2 ="2. AGREE WITH RESERVATIONS OR UNCERTAINTY"
     3 ="3. NEUTRAL OR MIXED PRO-CON"
     4 ="4. DISAGREE WITH RESERVATIONS OR UNCERTAI"
     5 ="5. DISAGREE"
     8 ="8. DK"
     9 ="9. NA"
     ;
VALUE V41FMT
     1 ="1. VERY SATISFIED"
     2 ="2. SATISFIED WITH RESERVATIONS"
     3 ="3. NEUTRAL OR MIXED PRO-CON"
     4 ="4. DISSATISFIED OR WITH RESERVATIONS"
     5 ="5. VERY DISSATISFIED"
     8 ="8. DK"
     9 ="9. NA"
     ;
VALUE V42FMT
     0 ="0. NO INFORMATION"
     1 ="1. LOW INFORMATION"
     2 ="2. MEDIUM INFORMATION"
     3 ="3. HIGH INFORMATION"
     9 ="9. NA"
     ;
VALUE V43FMT
     1 ="1. APPROVE"
     2 ="2. APPROVE WITH RESERVATIONS OR UNCERTAIN"
     3 ="3. NEUTRAL OR MIXED PRO-CON"
     4 ="4. NO OR DISAPPROVE WITH RESERVATIONS OR"
     5 ="5. NO OR DISAPPROVE"
     6 ="6. IT DEPENDS"
     8 ="8. DON'T KNOW"
     9 ="9. NA"
     ;
VALUE V44FMT
     1 ="1. YES"
     2 ="2. YES, WITH RESERVATIONS"
     3 ="3. NEUTRAL, MIXED, PRO-CON"
     4 ="4. NO, WITH RESERVATIONS"
     5 ="5. NO"
     8 ="8. DK"
     9 ="9. NA"
     ;
VALUE V45FMT
     1 ="1. MALE"
     2 ="2. FEMALE"
     9 ="9. NA"
     ;
VALUE V46FMT
     1 ="1. WHITE"
     2 ="2. NEGRO"
     3 ="3. OTHER"
     9 ="9. NA"
     ;
VALUE V47FMT
     1 ="1. 18-24"
     2 ="2. 25-34"
     3 ="3. 35-44"
     4 ="4. 45-54"
     5 ="5. 55-64"
     6 ="6. 65 AND OVER"
     9 ="9. NA"
     ;
VALUE V48FMT
     1 ="1. GRADE SCHOOL"
     2 ="2. HIGH SCHOOL"
     3 ="3. COLLEGE"
     9 ="9. NA"
     ;
VALUE V49FMT
     1 ="1. UNDER $500"
     2 ="2. $500-$999"
     3 ="3. $1000-1999"
     4 ="4. $2000-2999"
     5 ="5. $3000-3999"
     6 ="6. $4000-4999"
     7 ="7. $5000 AND OVER"
     9 ="9. NA"
     ;
VALUE V50FMT
     1 ="1. PROTESTANT"
     2 ="2. CATHOLIC"
     3 ="3. JEWISH"
     4 ="4. OTHER"
     5 ="5. NONE"
     9 ="9. NA"
     ;
DATA;
INFILE 'nes1948.dat' LRECL=107;
LENGTH VVERSION 3 VDSETNO $ 9
V480001  4  V480002  4  V480003  3  V480004  3  V480005 3  
V480006  3  V480007  3  V480008  3  V480009  3  V480010  3 
V480011  3  V480012  3  V480013  3  V480014A  3  V480014B  3 
V480015A  3  V480015B  3  V480016A  3  V480016B  3  V480017A  3 
V480017B  3  V480018  3  V480019  3  V480020  3  V480021A  3 
V480021B  3  V480022A  3  V480022B  3  V480023  3  V480024  3 
V480025A  3  V480025B  3  V480026  3  V480027  3  V480028  3 
V480029  3  V480030  3  V480031A  3  V480031B  3  V480031C  3 
V480032A  3  V480032B  3  V480032C  3  V480033A  3  V480033B  3 
V480034A  3  V480034B  3  V480035A  3  V480035B  3  V480036A  3 
V480036B  3  V480037  3  V480038  3  V480039  3  V480040  3 
V480041  3  V480042  3  V480043  3  V480044  3  V480045  3 
V480046  3  V480047  3  V480048  3  V480049  3  V480050  3
  ;
INPUT
  VVERSION 1-2 
  VDSETNO $ 3-8 
  V480001 9-12 
  V480002 13-16 
  V480003 17-17 
  V480004 18-18 
  V480005 19-19 
  V480006 20-20 
  V480007 21-21 
  V480008 22-22 
  V480009 23-23 
  V480010 24-24 
  V480011 25-25 
  V480012 26-26 
  V480013 27-28 
  V480014A 29-30 
  V480014B 31-32 
  V480015A 33-34 
  V480015B 35-36 
  V480016A 37-38 
  V480016B 39-40 
  V480017A 41-42 
  V480017B 43-44 
  V480018 45-45 
  V480019 46-46 
  V480020 47-48 
  V480021A 49-49 
  V480021B 50-50 
  V480022A 51-52 
  V480022B 53-54 
  V480023 55-55 
  V480024 56-56 
  V480025A 57-58 
  V480025B 59-60 
  V480026 61-61 
  V480027 62-62 
  V480028 63-63 
  V480029 64-65 
  V480030 66-66 
  V480031A 67-68 
  V480031B 69-70 
  V480031C 71-72 
  V480032A 73-74 
  V480032B 75-76 
  V480032C 77-77 
  V480033A 78-79 
  V480033B 80-81 
  V480034A 82-83 
  V480034B 84-85 
  V480035A 86-87 
  V480035B 88-89 
  V480036A 90-91 
  V480036B 92-93 
  V480037 94-94 
  V480038 95-95 
  V480039 96-96 
  V480040 97-97 
  V480041 98-98 
  V480042 99-99 
  V480043 100-100 
  V480044 101-101 
  V480045 102-102 
  V480046 103-103 
  V480047 104-104 
  V480048 105-105 
  V480049 106-106 
  V480050 107-107 
  ;
LABEL
  VVERSION ="NES VERSION NUMBER"
  VDSETNO = "NES DATASET NUMBER"
  V480001 = "ICPSR ARCHIVE NUMBER"
  V480002 = "INTERVIEW NUMBER"
  V480003 = "POP CLASSIFICATION"
  V480004 = "CODER"
  V480005 = "NUMBER OF CALLS TO R"
  V480006 = "R REMEMBER PREVIOUS INT"
  V480007 = "INTR INTERVIEW THIS R"
  V480008 = "PRVS PRE-ELCTN R REINT"
  V480009 = "R INT IN PRE/POSTELCTN"
  V480010 = "RENT CNTRL KEPT/DROPPED"
  V480011 = "GOVT CONTROL PRICES"
  V480012 = "WHAT TO DO W TFT-HT ACT"
  V480013 = "PRESLELCTN OTCM SURPRISE"
  V480014A = "WHY PPL VTD FOR TRUMAN 1"
  V480014B = "WHY PPL VTD FOR TRUMAN 2"
  V480015A = "WHY PPL VTD AGNST TRUMAN 1"
  V480015B = "WHY PPL VTD AGNST TRUMAN 2"
  V480016A = "WHY PPL VTD FOR DEWEY 1"
  V480016B = "WHY PPL VTD FOR DEWEY 2"
  V480017A = "WHY PPL VTD AGNST DEWEY 1"
  V480017B = "WHY PPL VTD AGNST DEWEY 2"
  V480018 = "DID R VOTE/FOR WHOM"
  V480019 = "WN DECIDE FOR WHOM TO VT"
  V480020 = "CNSD VT FOR SOMEONE ELSE"
  V480021A = "XWHY DID NOT VT FOR HIM 1"
  V480021B = "XWHY DID NOT VT FOR HIM 2"
  V480022A = "WHY VT THE WAY YOU DID 1"
  V480022B = "WHY VT THE WAY YOU DID 2"
  V480023 = "VOTED STRAIGHT TICKET"
  V480024 = "R NOT VT-IF VT,FOR WHOM"
  V480025A = "R NOT VT-WHY DID NOT VT 1"
  V480025B = "R NOT VT-WHY DID NOT VT 2"
  V480026 = "R NOT VT-WAS R REG TO VT"
  V480027 = "VTD IN PRVS PRESL ELCTN"
  V480028 = "VTD FOR WHOM IN 1944"
  V480029 = "OCCUPATION OF HEAD"
  V480030 = "HEAD BELONG TO LBR UN"
  V480031A = "GRPS IDENTIFIED W TRUMAN 1"
  V480031B = "GRPS IDENTIFIED W TRUMAN 2"
  V480031C = "GRPS IDENTIFIED W TRUMAN 3"
  V480032A = "GRPS IDENTIFIED W DEWEY 1"
  V480032B = "GRPS IDENTIFIED W DEWEY 2"
  V480032C = "GRPS IDENTIFIED W DEWEY 3"
  V480033A = "ISSUES CONNECTED W TRMN 1"
  V480033B = "ISSUES CONNECTED W TRMN 2"
  V480034A = "ISSUES CONNECTED W DEWEY 1"
  V480034B = "ISSUES CONNECTED W DEWEY 2"
  V480035A = "PERSONAL ATTRIBUTE TRMN 1"
  V480035B = "PERSONAL ATTRIBUTE TRMN 2"
  V480036A = "PERSONAL ATTRIBUTE DEWEY 1"
  V480036B = "PERSONAL ATTRIBUTE DEWEY 2"
  V480037 = "CMPN INCIDENTS MENTIONED"
  V480038 = "41-PRESLELCTN PLAN TO VT"
  V480039 = "41-PLAN TO VT REP/DEM"
  V480040 = "41-USA'S CNCRN W OTHERS"
  V480041 = "41-SATISD USA TWRD RUSS"
  V480042 = "41-INFORMATION LEVEL"
  V480043 = "41-USA GV IN,AGRT RUSS"
  V480044 = "41-USA-RUSS AGRT VIA U.N"
  V480045 = "SEX OF RESPONDENT"
  V480046 = "RACE OF RESPONDENT"
  V480047 = "AGE OF RESPONDENT"
  V480048 = "EDUCATION OF RESPONDENT"
  V480049 = "TOTAL 1948 INCOME"
  V480050 = "RELIGIOUS PREFERENCE"
  ;
FORMAT
 V480003 V3FMT.
 V480004 V4FMT.
 V480005 V5FMT.
 V480006 V6FMT.
 V480007 V7FMT.
 V480008 V8FMT.
 V480009 V9FMT.
 V480010 V10FMT.
 V480011 V11FMT.
 V480012 V12FMT.
 V480013 V13FMT.
 V480014A V14FMT.
 V480014B V14FMT.
 V480015A V15FMT.
 V480015B V15FMT.
 V480016A V16FMT.
 V480016B V16FMT.
 V480017A V17FMT.
 V480017B V17FMT.
 V480018 V18FMT.
 V480019 V19FMT.
 V480020 V20FMT.
 V480021A V21FMT.
 V480021B V21FMT.
 V480022A V22FMT.
 V480022B V22FMT.
 V480023 V23FMT.
 V480024 V24FMT.
 V480025A V25FMT.
 V480025B V25FMT.
 V480026 V26FMT.
 V480027 V27FMT.
 V480028 V28FMT.
 V480029 V29FMT.
 V480030 V30FMT.
 V480031A V31FMT.
 V480031B V31FMT.
 V480031C V31FMT.
 V480032A V32FMT.
 V480032B V32FMT.
 V480032C V32FMT.
 V480033A V33FMT.
 V480033B V33FMT.
 V480034A V34FMT.
 V480034B V34FMT.
 V480035A V35FMT.
 V480035B V35FMT.
 V480036A V36FMT.
 V480036B V36FMT.
 V480037 V37FMT.
 V480038 V38FMT.
 V480039 V39FMT.
 V480040 V40FMT.
 V480041 V41FMT.
 V480042 V42FMT.
 V480043 V43FMT.
 V480044 V44FMT.
 V480045 V45FMT.
 V480046 V46FMT.
 V480047 V47FMT.
 V480048 V48FMT.
 V480049 V49FMT.
 V480050 V50FMT.
 ;
 if V480005 eq 0 then V480005=.;
 if V480005 ge 9 then V480005=.;
 if V480006 eq 9 then V480006=.;
 if V480007 eq 9 then V480007=.;
 if V480008 eq 9 then V480008=.;
 if V480009 eq 9 then V480009=.;
 if V480010 ge 8 then V480010=.;
 if V480011 ge 8 then V480011=.;
 if V480012 ge 8 then V480012=.;
 if V480013 eq 88 then V480013=.;
 if V480013 ge 98 then V480013=.;
 if V480014A ge 90 then V480014A=.;
 if V480014B ge 90 then V480014B=.;
 if V480015A ge 90 then V480015A=.;
 if V480015B ge 90 then V480015B=.;
 if V480016A ge 90 then V480016A=.;
 if V480016B ge 90 then V480016B=.;
 if V480017A ge 90 then V480017A=.;
 if V480017B ge 90 then V480017B=.;
 if V480018 eq 9 then V480018=.;
 if V480019 eq 0 then V480019=.;
 if V480019 ge 8 then V480019=.;
 if V480020 eq 91 then V480020=.;
 if V480021A eq 0 then V480021A=.;
 if V480021A ge 7 then V480021A=.;
 if V480021B eq 0 then V480021B=.;
 if V480021B ge 7 then V480021B=.;
 if V480022A ge 90 then V480022A=.;
 if V480022B ge 90 then V480022B=.;
 if V480023 eq 0 then V480023=.;
 if V480023 ge 8 then V480023=.;
 if V480024 eq 0 then V480024=.;
 if V480024 ge 7 then V480024=.;
 if V480025A ge 90 then V480025A=.;
 if V480025B ge 90 then V480025B=.;
 if V480026 eq 0 then V480026=.;
 if V480026 ge 8 then V480026=.;
 if V480027 ge 8 then V480027=.;
 if V480028 ge 8 then V480028=.;
 if V480029 eq 99 then V480029=.;
 if V480030 ge 8 then V480030=.;
 if V480031A eq 0 then V480031A=.;
 if V480031B eq 0 then V480031B=.;
 if V480031C eq 0 then V480031C=.;
 if V480032A eq 0 then V480032A=.;
 if V480032B eq 0 then V480032B=.;
 if V480032C eq 0 then V480032C=.;
 if V480033A eq 0 then V480033A=.;
 if V480033B eq 0 then V480033B=.;
 if V480034A eq 0 then V480034A=.;
 if V480034B eq 0 then V480034B=.;
 if V480035A eq 0 then V480035A=.;
 if V480035B eq 0 then V480035B=.;
 if V480036A eq 0 then V480036A=.;
 if V480036B eq 0 then V480036B=.;
 if V480037 eq 0 then V480037=.;
 if V480038 ge 8 then V480038=.;
 if V480039 eq 0 then V480039=.;
 if V480039 ge 8 then V480039=.;
 if V480040 ge 8 then V480040=.;
 if V480041 ge 8 then V480041=.;
 if V480042 eq 9 then V480042=.;
 if V480043 eq 6 then V480043=.;
 if V480043 ge 8 then V480043=.;
 if V480044 ge 8 then V480044=.;
 if V480045 eq 9 then V480045=.;
 if V480046 eq 9 then V480046=.;
 if V480047 eq 9 then V480047=.;
 if V480048 eq 9 then V480048=.;
 if V480049 eq 9 then V480049=.;
 if V480050 eq 9 then V480050=.;